package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.EmsFacsSubtype;

/**
 * 能源设施/系统子类Service接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface IEmsFacsSubtypeService {
    /**
     * 查询能源设施/系统子类
     *
     * @param id 能源设施/系统子类主键
     * @return 能源设施/系统子类
     */
    EmsFacsSubtype selectFacsSubtypeById(Long id);

    /**
     * 查询能源设施/系统子类列表
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 能源设施/系统子类集合
     */
    List<EmsFacsSubtype> selectFacsSubtypeList(EmsFacsSubtype emsFacsSubtype);

    /**
     * 新增能源设施/系统子类
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 结果
     */
    int insertFacsSubtype(EmsFacsSubtype emsFacsSubtype);

    /**
     * 批量新增能源设施/系统子类
     * @param emsFacsSubtypes 能源设施/系统子类列表
     * @return 结果
     */
    void insertFacsSubtypeBatch(List<EmsFacsSubtype> emsFacsSubtypes);

    /**
     * 修改能源设施/系统子类
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 结果
     */
    int updateFacsSubtype(EmsFacsSubtype emsFacsSubtype);

    /**
     * 批量删除能源设施/系统子类
     *
     * @param ids 需要删除的能源设施/系统子类主键集合
     * @return 结果
     */
    int deleteFacsSubtypeByIds(Long[] ids);

    /**
     * 删除能源设施/系统子类信息
     *
     * @param id 能源设施/系统子类主键
     * @return 结果
     */
    int deleteFacsSubtypeById(Long id);

    /**
     * 删除能源设施/系统子类信息
     * @param code 上级分类code
     * @return 结果
     */
    int deleteFacsSubtypeByParentCode(String code);
}
